# v0.3.1

This release introduces significant enhancements including code compression features for Solidity, improved comment removal support for C++, and MCP improvements.

# New Features 🚀

## Solidity Support Enhancement (#436)
- Added compression support (--compress) for Solidity files
- Implemented comment removal (--remove-comments) functionality
- Added Tree-sitter queries for Solidity syntax parsing
- Included comprehensive test coverage for both features

## C++ Comment Removal Enhancement (#435)
- Added support for comment removal in C++ file extensions:
  - .h, .hpp (header files)
  - .cpp, .cc, .cxx (source files)
- Optimized comment handling for each file type

Special thanks to @AdijeShen for this valuable contribution in expanding C++ support!

## MCP Resource Enhancement (#434, #426)
- Enhanced read_repomix_output tool functionality:
  - Now includes output as a resource
  - Includes content as text for better processing
- Improved MCP server's resource handling capabilities

# Documentation 📚

## French Documentation (#429)
- Added comprehensive French guides for installation and usage
- Covered advanced topics including MCP server, compression, and custom instructions
- Optimized Vitepress configuration for French language support

# Other Improvements ⚡

## Default Ignore Pattern Enhancement (#428)
- Added `uv.lock` to the default ignore list

# How to Update

To update to the latest version, run:
```bash
npm update -g repomix
```

---

If you encounter any issues or have suggestions, please let us know through our GitHub issues or join our [Discord community](https://discord.gg/wNYzTwZFku) for support.


