import type { RepomixConfigMerged } from '../../config/configSchema.js';
import type { RawFile } from './fileTypes.js';
/**
 * Process the content of a file according to the configuration
 * Applies various transformations based on the config:
 * - Remove comments
 * - Remove empty lines
 * - Compress content using Tree-sitter
 * - Add line numbers
 *
 * @param rawFile Raw file data containing path and content
 * @param config Repomix configuration
 * @returns Processed content string
 */
export declare const processContent: (rawFile: RawFile, config: RepomixConfigMerged) => Promise<string>;
//# sourceMappingURL=fileProcessContent.d.ts.map