import type { SecretLintCoreConfig } from '@secretlint/types';
export type SecurityCheckType = 'file' | 'gitDiff';
export interface SecurityCheckTask {
    filePath: string;
    content: string;
    type: SecurityCheckType;
}
export interface SuspiciousFileResult {
    filePath: string;
    messages: string[];
    type: SecurityCheckType;
}
declare const _default: ({ filePath, content, type }: SecurityCheckTask) => Promise<SuspiciousFileResult | null>;
export default _default;
export declare const runSecretLint: (filePath: string, content: string, type: SecurityCheckType, config: SecretLintCoreConfig) => Promise<SuspiciousFileResult | null>;
export declare const createSecretLintConfig: () => SecretLintCoreConfig;
//# sourceMappingURL=securityCheckWorker.d.ts.map